Attribute VB_Name = "MusicMod"
Option Explicit

Public Declare Function mciSendString Lib "winmm.dll" Alias "mciSendStringA" ( _
ByVal lpstrCommand As String, _
ByVal lpstrReturnString As String, _
ByVal uReturnLength As Long, _
ByVal hwndCallback As Long) As Long

Global FileLoaded As String

Public Function FileExt(File As String) As String
    Dim X As Long
    X = InStrRev(File, ".")
    FileExt = LCase(Mid(File, X + 1))
End Function

Public Function MediaReset()
    Mci "close all"
End Function

Public Function MediaPlay()
    Mci "play med"
End Function

Public Function MediaStop()
    Mci "stop med"
End Function

Public Function MediaPause()
    Mci "pause med"
End Function

Public Function MediaPlayRepeat()
    Mci "play med repeat"
End Function

Public Function MediaLength() As Long
    MediaLength = Val(Mci("status med length"))
End Function

Public Function MediaPosition() As Long
    MediaPosition = Val(Mci("status med position"))
End Function

Public Function MediaStatus() As Long
    Select Case Mci("status med mode")
        Case "playing"
            MediaStatus = 1
        Case "paused"
            MediaStatus = 2
    End Select
End Function

Public Function Mci(sCommand As String) As String
    Dim s As String * 255
    Call mciSendString(sCommand, s, 255, frmPlayList.hWnd)
    Mci = Replace(s, Chr(0), "")
End Function

Public Function OpenMedia(fName As String) As Boolean
    MediaReset
    OpenMedia = CBool(Val(Mci("open """ & fName & """ alias med")))
    Mci "set med time format milliseconds"
    FileLoaded = fName
End Function
